using parkMonitor.language;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace parkMonitor.viewModel.detail {
	/// <summary>号牌机详细信息Control</summary>
	public class NumMachineDetailVM {
		public NumMachineDetailVM() {
			_lstData = new ObservableCollection<DevDetailItemVM>() {
				_name,
				_serNum
			};
		}

		public ObservableCollection<DevDetailItemVM> lstData { get { return  _lstData;} }

		//名称
		DevDetailItemVM _name = new DevDetailItemVM() { Name = Language.ins.name };
		public string name {
			get { return  _name.Data;}
			set { _name.Data = value; }
		}

		//编号
		DevDetailItemVM _serNum = new DevDetailItemVM() { Name = Language.ins.serNum };
		public string serNum {
			get { return _serNum.Data; }
			set { _serNum.Data = value; }
		}

		//主键
		public object Pkey = null;

		//List Data
		ObservableCollection<DevDetailItemVM> _lstData = null;
	}

	///// <summary>号牌机详细信息ViewModel</summary>
	//public class NumMachineDetailVM : BaseDetailItemVM {
		
	//}
}
